Bug 7351 - DNS: Error in /usr/sbin/samba_dnsupdate
DNS: Error in /usr/sbin/samba_dnsupdate
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
x86 Linux
: P3 normal
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 04:48 UTC by sassy.natan
Modified: 2010-11-15 12:55 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sassy.natan 2010-04-12 04:48:02 UTC
When running samba4 in a standard model I get the error below. In a single mode that is working fine.
Can Someone verify this:

FIXME: Using new system session for hdb
ldb_wrap open of idmap.ldb
ldb_wrap open of sam.ldb
dreplsrv_partition[CN=Configuration,DC=boxit,DC=local] loaded
dreplsrv_partition[CN=Schema,CN=Configuration,DC=boxit,DC=local] loaded
dreplsrv_partition[DC=boxit,DC=local] loaded
dreplsrv_refresh_partition(DC=boxit,DC=local)
dreplsrv_refresh_partition(CN=Schema,CN=Configuration,DC=boxit,DC=local)
ldb_wrap open of sam.ldb
dreplsrv_refresh_partition(CN=Configuration,DC=boxit,DC=local)
dreplsrv_periodic_schedule(15) scheduled for: Mon Apr 12 09:34:35 2010 UTC
dreplsrv_notify_schedule(5) scheduled for: Mon Apr 12 09:34:25 2010 UTC
ldb_wrap open of sam.ldb
ldb_wrap open of sam.ldb
kccsrv_partition[DC=boxit,DC=local] loaded
kccsrv_partition[CN=Configuration,DC=boxit,DC=local] loaded
kccsrv_partition[CN=Schema,CN=Configuration,DC=boxit,DC=local] loaded
ldb_wrap open of sam.ldb
kccsrv_periodic_schedule(15) scheduled for: Mon Apr 12 09:34:35 2010 UTC
Calling DNS name update script
Error in waitpid() for child /usr/sbin/samba_dnsupdate - No child processes
dsdb/dns/dns_update.c:234: Failed DNS update - NT_STATUS_UNSUCCESSFUL
ldb_wrap open of sam.ldb

thanks
Sassy
Comment 1 Matthias Dieter Wallnöfer 2010-04-17 13:44:45 UTC
tridge, I think you fit better to this bug.
Comment 2 Matthieu Patou 2010-05-14 17:18:17 UTC
Is samba_dnsupdate installed in /usr/sbin ? 

Comment 3 Matthias Dieter Wallnöfer 2010-06-30 02:28:35 UTC
Is this fixed?
Comment 4 sassy.natan 2010-06-30 03:07:12 UTC
(In reply to comment #3)
> Is this fixed?

For 2f49c8f version it was still there :-(
Comment 5 Matthieu Patou 2010-06-30 03:43:57 UTC
Sassy,

try to add to smb.conf:

dns update command = /usr/sbin/samba_dnsupdate


Do you have errors with spn update as well ?
Comment 6 Matthias Dieter Wallnöfer 2010-10-01 08:41:30 UTC
And is this still an issue?
Comment 7 sassy.natan 2010-10-01 09:00:57 UTC
(In reply to comment #6)
> And is this still an issue?
> 

Yes, I want to check this with alpha13, but was super busy this last two months.

I hope next week will be more free, so I could check it out.

But as far as I know this is still there.....
Comment 8 Matthieu Patou 2010-10-01 11:48:36 UTC
Is this happenning on Linux ? as noted in the bug ? 
Comment 9 sassy.natan 2010-10-14 07:55:23 UTC
(In reply to comment #8)
> Is this happenning on Linux ? as noted in the bug ? 


Yes it is linux ubuntu 10.04
Comment 10 Matthieu Patou 2010-10-30 05:41:51 UTC
Sassy,

can you retry, I'm pretty sure things have been fixed since your reported your bug.
Comment 11 Matthias Dieter Wallnöfer 2010-11-15 12:55:30 UTC
Should have been fixed.